Bug 1315281 - [RFE] Set Operating System when creating new VMs in RHEV Compute Resource
Summary: [RFE] Set Operating System when creating new VMs in RHEV Compute Resource
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Compute Resources
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: Ivan Necas
QA Contact: Lukas Zapletal
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On: 1145229 1316802 1327336
Blocks: 260381 1317530
TreeView+ depends on / blocked
 
Reported: 2016-03-07 12:00 UTC by Brad Buckingham
Modified: 2019-11-14 07:33 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of: 1145229
Environment:
Last Closed: 2016-07-27 11:20:35 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 6959 None None None 2016-04-26 16:57:49 UTC
Red Hat Bugzilla 1399617 None CLOSED RHEV False for Operating Systems API supported. 2019-05-13 15:17:25 UTC

Internal Links: 1399617

Comment 1 Ivan Necas 2016-03-11 14:02:57 UTC
Patches sent to Foreman https://github.com/theforeman/foreman/pull/3308 and rbovirt https://github.com/abenari/rbovirt/pull/104

Comment 3 Bryan Kearney 2016-05-11 15:05:41 UTC
PLease look at https://bugzilla.redhat.com/show_bug.cgi?id=1334669 at the same time.

Comment 5 Lukas Zapletal 2016-07-15 08:18:05 UTC
I am able to test against clean oVirt 3.6.

Comment 6 Lukas Zapletal 2016-07-15 12:22:18 UTC
VERIFIED on oVirt 3.6

I was able to create VMs for:

CentOS 7.0 32bit/64bit
RHEL 5, 6, 7 32bit/64bit

In all cases, OS was correctly set for the VMs (e.g. "Red Hat Enterprise Linux 5.x x64").

[root@sgi-xe270-01 ~]# rpm -q katello foreman foreman-ovirt tfm-rubygem-rbovirt
katello-3.0.0-10.el7sat.noarch
foreman-1.11.0.48-1.el7sat.noarch
foreman-ovirt-1.11.0.48-1.el7sat.noarch
tfm-rubygem-rbovirt-0.0.37-1.el7sat.noarch

This is SNAP 20.

Corey, I want you to check if oVirt 3.6 is a sufficient target for verification. As I read the code, there should not be problem with downstream RHEV 3.6. If there is, it's a bug in RHEV rather than Satellite 6.

Comment 7 Bryan Kearney 2016-07-27 11:20:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1501

Comment 8 Djebran Lezzoum 2017-12-13 07:31:48 UTC
qe_test_coverage PR: https://github.com/SatelliteQE/robottelo/pull/5641


Note You need to log in before you can comment on or make changes to this bug.